Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512578 - Middleware Provider Authentication status is HTML when Provider became unavailability
Summary: Middleware Provider Authentication status is HTML when Provider became unavai...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Mike Thompson
QA Contact: Matt Mahoney
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-13 15:08 UTC by Matt Mahoney
Modified: 2018-01-05 23:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-04 15:35:46 UTC
Category: ---
Cloudforms Team: Middleware


Attachments (Terms of Use)
Screen Shot (deleted)
2017-11-13 15:08 UTC, Matt Mahoney
no flags Details
Nice Error message (deleted)
2017-11-15 16:05 UTC, Mike Thompson
no flags Details

Description Matt Mahoney 2017-11-13 15:08:21 UTC
Created attachment 1351589 [details]
Screen Shot

Description of problem:
The Middleware manager Authentication Status is HTML string, when it should be readable text description that the Middleware Provider became unavailable.

Version-Release number of selected component (if applicable):


How reproducible:
Version 5.9.0.7.20171107212356_ed87902

Steps to Reproduce:
1.Add Middleware Provider, and then Refresh items and relationships
2.Stop Middleware Provider service
3.Refresh Provider again
4.Note Authentication status text format

Actual results:
Error - <html> <head> <meta name="viewport" content="width=device-width, initial-scale=1"> <style type="text/css"> /*! * Bootstrap v3.3.5 (http://getbootstrap.com) * Copyright 2011-2015 Tw...

Expected results:
Readable text

Additional info:

Comment 2 Alissa 2017-11-13 15:28:47 UTC
Matt, is this middleware specific or happens with other provider types?

Comment 4 Dave Johnson 2017-11-13 16:43:50 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 5 Alissa 2017-11-13 19:47:09 UTC
Mike, please see if this is a broader issue and happens in other providers too, or middleware specific. That will determine how/who to handle this. thank you.

Comment 6 Mike Thompson 2017-11-14 23:29:02 UTC
So assuming the step #2 means: kill the Hawkular server -- I don't get the HTML error but nicely formatted message not able to connect as expected.

miq version: master.20171113082405_46f5a537be
 
Cannot duplicate.

Comment 7 Mike Thompson 2017-11-15 16:05:41 UTC
Created attachment 1352712 [details]
Nice Error message

Comment 8 Matt Mahoney 2017-11-16 12:40:19 UTC
Appropriate Severity has been set.

Comment 9 Matt Mahoney 2017-11-16 12:47:44 UTC
Reproduced the issue again. 

1) Openshift: Scaled Middleware Manager pod down to 0
2) In CFME, Middleware Provider Refresh


Error - Less Than A Minute Ago
<html> <head> <meta name="viewport" content="width=device-width, initial-scale=1"> <style type="text/css"> ...


CFME: 5.9.0.8.20171109215303_ed87902
Middleware Manager: DR2

Comment 10 Alissa 2017-12-12 10:41:21 UTC
no reason to include this in 5.9. moving it back to next version.


Note You need to log in before you can comment on or make changes to this bug.